RoutesBlogs module

Blogs routes

URLs the Blogs module answers, their parameters and the variables each view receives.

View Public site URLs and what their templates receive.

Templates view

GET /blogs/{page} listBlogs

Retrieve a list of records and assign them to the template.

Path parameters page matches \d+

The template receives
VariableTypeDescription
$blogs Collection<Blog> Collection of Blogs

Common variables such as $_url, $_request and $_menu are available too. Global template variables

GET /blogs/{blog.slug}/tags/{tags}/{page} listTagsPosts

Retrieve a list of records and assign them to the template.

Path parameters blog.slug matches ^(?:[\w\-]*[a-zA-Z0-9\x7f-\xff]+)+[\w]*$tags matches ^[\w\-]*[a-zA-Z0-9\x7f-\xff]+[\w\-]*([+&,|][\w\-]*[a-zA-Z0-9\x7f-\xff]+[\w\-]*)*$page matches \d+

The template receives
VariableTypeDescription
$posts Collection<Post> Collection of Posts

Common variables such as $_url, $_request and $_menu are available too. Global template variables

GET /blogs/{blog.slug}/categories/{categories}/{page} listCategoriesPosts

Retrieve a list of records and assign them to the template.

Path parameters blog.slug matches ^(?:[\w\-]*[a-zA-Z0-9\x7f-\xff]+)+[\w]*$categories matches ^[\w\-]*[a-zA-Z0-9\x7f-\xff]+[\w\-]*([+&,|][\w\-]*[a-zA-Z0-9\x7f-\xff]+[\w\-]*)*$page matches \d+

The template receives
VariableTypeDescription
$posts Collection<Post> Collection of Posts

Common variables such as $_url, $_request and $_menu are available too. Global template variables

GET /blogs/{blog.slug}/{page} listPosts

Retrieve a list of records and assign them to the template.

Path parameters blog.slug matches ^(?:[\w\-]*[a-zA-Z0-9\x7f-\xff]+)+[\w]*$page matches \d+

The template receives
VariableTypeDescription
$posts Collection<Post> Collection of Posts

Common variables such as $_url, $_request and $_menu are available too. Global template variables

GET /blogs/{blog.slug}/{slug} showPost

Show a single record

Path parameters blog.slug matches ^(?:[\w\-]*[a-zA-Z0-9\x7f-\xff]+)+[\w]*$slug matches ^(?:[\w\-]*[a-zA-Z0-9\x7f-\xff]+)+[\w]*$

The template receives
VariableTypeDescription
$post Post Single Post record

Common variables such as $_url, $_request and $_menu are available too. Global template variables

Only GET routes list their variables.